#include <Imagine/Graphics.h>
using namespace Imagine;
#include "combi.h"

int main() {
    const int bordure=10; // marge avec bord de la fenetre
    const int zoneAffiche=50; // zone verticale centre d'affichage des scores
    const int lFenetre=5*l+4*marge+2*bordure,
              hFenetre=2*h+2*bordure+zoneAffiche;
    openWindow(lFenetre, hFenetre, "Poker");

    while(true) {
        Combi c[2];
        Main jeu[2];
        c[0].m = jeu[0] = randMain(jeu,0);
        c[1].m = jeu[1] = randMain(jeu,1);
        clearWindow();
        dessineMain(c[0].m, bordure, bordure);
        dessineMain(c[1].m, bordure, hFenetre-bordure-h);

        // Calcul des combinaisons
        score(c[0]);
        score(c[1]);
        std::string str[] = {"carte haute","paire","double paire","brelan",
                             "suite","couleur","full","carre","quinte flush"};
        drawString(lFenetre/2, bordure+h+15, str[c[0].score],BLUE);
        drawString(lFenetre/2, bordure+h+zoneAffiche-5, str[c[1].score], BLUE);
        for(int i=0; i<c[0].n; i++)
            drawRect(bordure+c[0].index[i]*(l+marge), bordure, l, h, BLUE, 3);
        for(int i=0; i<c[1].n; i++)
            drawRect(bordure+c[1].index[i]*(l+marge), hFenetre-bordure-h,
                     l, h, BLUE, 3);

        // Comparaison des combinaisons
        int cmp = compareCombi(c[0], c[1]);
        std::string strCmp[3] = {"<", "=", ">"};
        drawString(lFenetre/2, bordure+h+zoneAffiche/2+5, strCmp[cmp+1],BLUE);
        click();
    }
    endGraphics();
    return 0;
}
